Bug 1490675 - The nodectl version displays wrong.
Summary: The nodectl version displays wrong.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: ovirt-node
Classification: oVirt
Component: UI
Version: 4.1
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Ryan Barry
QA Contact: Wei Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-12 01:57 UTC by Wei Wang
Modified: 2017-09-19 09:33 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-19 09:33:10 UTC
oVirt Team: Node


Attachments (Terms of Use)
log files (903.22 KB, application/x-gzip)
2017-09-12 01:57 UTC, Wei Wang
no flags Details

Description Wei Wang 2017-09-12 01:57:56 UTC
Created attachment 1324650 [details]
log files

Description of problem:
nodectl version displays wrong, it was shown as "nodectl-4.1.5", but it should be "nodectl-4.1.6".

Version-Release number of selected component (if applicable):
redhat-virtualization-host-4.1-20170910.0
cockpit-ws-141-4.el7.x86_64
cockpit-dashboard-141-4.el7.x86_64
cockpit-ovirt-dashboard-0.10.8-2.0.ovirt41.el7ev.noarch
imgbased-0.9.47-0.1.el7ev.noarch


How reproducible:
100%


Steps to Reproduce:
1. Clean install redhat-virtualization-host-4.1-20170910.0
2. Login cockpit with root account
3. Input command "nodectl --version" in Terminal page


Actual results:
nodectl version displays as "nodectl-4.1.5" which is not the desired one.


Expected results:
nodectl version should be shown as "nodectl-4.1.6"


Additional info:

Comment 1 Ryan Barry 2017-09-12 02:03:11 UTC
Why would this be 4.1.6? It's the version of nodectl, not Node. nodectl did not get a new build in 4.1.6

IMO, this is NOTABUG.

Please check "rpm -q ovirt-node-ng-nodectl"

Comment 2 Wei Wang 2017-09-12 02:25:17 UTC
(In reply to Ryan Barry from comment #1)
> Why would this be 4.1.6? It's the version of nodectl, not Node. nodectl did
> not get a new build in 4.1.6
> 
> IMO, this is NOTABUG.
> 
> Please check "rpm -q ovirt-node-ng-nodectl"

[root@bootp-73-128-234 ~]# rpm -q ovirt-node-ng-nodectl
ovirt-node-ng-nodectl-4.1.5-0.20170810.0.el7.noarch


Note You need to log in before you can comment on or make changes to this bug.